[BLFS Trac] #2200: Python-2.5

BLFS Trac trac at linuxfromscratch.org
Sat Jan 13 20:08:47 PST 2007


#2200: Python-2.5
---------------------------------------------+------------------------------
 Reporter:  dnicholson at linuxfromscratch.org  |        Owner:  bdubbs at linuxfromscratch.org
     Type:  defect                           |       Status:  assigned                   
 Priority:  high                             |    Milestone:  6.2.0                      
Component:  BOOK                             |      Version:  SVN                        
 Severity:  normal                           |   Resolution:                             
 Keywords:  security python                  |  
---------------------------------------------+------------------------------
Comment (by randy at linuxfromscratch.org):

 Be it known that I am against using the 2.5 version in BLFS-6.2.0.
 There are API changes that affect code and could affect Python's
 interaction with other packages. Please review
 http://docs.python.org/whatsnew/porting.html

 My understanding is 2.4.4 fixes all the security issues without
 introducting API changes.

 My observations are based on the fact that Python is such a
 heavy dependency on many, many packages.

 I could be wrong, but is there really time to test the API
 changes in the 2.5 series?

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/blfs/ticket/2200#comment:2>
BLFS Trac <http://wiki.linuxfromscratch.org/blfs>
Beyond Linux From Scratch



More information about the blfs-book mailing list